name: XKB_U263-241N-4BQC14
description: USB-C plug, 24 pins, edge mount
# the drawing says it's for U262-24XN-4BQC14
datasheet: http://www.helloxkb.com/public/images/pdf/U263-24XN-4BQC14.pdf
keywords: connector, USB, USB-C, receptacle, 24P, edge mount
lcsc: C2689689
# https://lcsc.com/product-detail/USB-Connectors_XKB-Connectivity-U263-241N-4BQC14_C2689689.html

pinout:
  A:
    TX+1: 2
    TX-1: 3
    CC1: 5
    D+1: 6
    D-1: 7
    SBU1: 8
    RX-2: 10
    RX+2: 11  
  B:
    TX+2: 14
    TX-2: 15
    CC2: 17
    D+2: 18
    D-2: 19
    SBU2: 20
    RX-1: 22
    RX+1: 23  
  GND: 1, 12, 13, 24
  VBUS: 4, 9, 16, 21
  SHIELD: 25, 26, 27, 28

properties:
  power: VBUS
  ground: GND
  bidir: D-1, D+1, CC1, SBU1, D-2, D+2, CC2, SBU2
  in: RX-1, RX+1, RX-2, RX+2
  out: TX-1, TX+1, TX-2, TX+2
  passive: SHIELD

schematic:
  symbol: connector
  left: A
  right: B
  top: VBUS
  bottom: GND, SHIELD

housing:
  pattern: custom
  bodyWidth: 8.94
  bodyLength: 6.80
  bodyPosition: 0, 3.15 # use signal pad center (-6.8/2 + 5.75 + 1.6/2)
  height: 3.16
  # board in connector
  silkscreen: M -1.67 -1.95 1.67 -1.95 # 1.6/2 - 3.15 + 0.4

  # A power
  numbers: 1,4,9,12
  padWidth: 0.4
  padHeight: 1.6
  padPosition: -2.75, 0, -1.26, 0, 1.26, 0, 2.75, 0

  # A signals
  numbers1: 2,3,5,6,7,8,10,11
  padWidth1: 0.25
  padHeight1: 1.6
  padPosition1: -2.25, 0, -1.75, 0, -0.75, 0, -0.25, 0, 0.25, 0, 0.75, 0, 1.75, 0, 2.25, 0

  # A shell
  numbers2: 25
  padWidth2: 1.39
  padHeight2: 1.6
  padPosition2: -3.92, 0

  numbers3: 26
  padWidth3: 0.8
  padHeight3: 1.6
  padPosition3: 3.92, 0

  # B power
  numbers4: 13,16,21,24
  padWidth4: 0.4
  padHeight4: 1.6
  padPosition4: 2.75, 0, 1.26, 0, -1.26, 0, -2.75, 0
  padBottom4: true

  # B signals
  numbers5: 14,15,17,18,19,20,22,23
  padWidth5: 0.25
  padHeight5: 1.6
  padPosition5: 2.25, 0, 1.75, 0, 0.75, 0, 0.25, 0, -0.25, 0, -0.75, 0, -1.75, 0, -2.25, 0
  padBottom5: true

  # B shell
  numbers6: 27
  padWidth6: 1.39
  padHeight6: 1.6
  padPosition6: 3.92, 0
  padBottom6: true

  numbers7: 28
  padWidth7: 0.8
  padHeight7: 1.6
  padPosition7: -3.92, 0
  padBottom7: true
